Ubuntu

Blank Screen in Natty

Reported by Angel Zone on 2011-04-06
78
This bug affects 15 people
Affects Status Importance Assigned to Milestone
Linux
New
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: dpkg

I have ACER ASPIRE 4736Z with intel GMA 4500M.

Initially I had installed Ubuntu Maverick (10.10). I upgraded to Natty (11.04). Kernel has been updated to 2.6.38.6 which is working for me perfect with minor bugs. Afterwards I have tried to update upto Kernel version 2.6.38.8 but i get a blank screen when system boots. Solution which is still working for me is to restart with kernel 2.6.38.6.

In my opinion problem is in video card driver. I need Help.

WORKAROUND: To make it run after reboot just insert the command in /etc/rc.local:
#!/bin/sh -e
#
# rc.local
#
# This script is executed at the end of each multiuser runlevel.
# Make sure that the script will "exit 0" on success or any other
# value on error.
#
# In order to enable or disable this script just change the execution
# bits.
#
# By default this script does nothing.

sudo setpci -s 00:02.0 F4.B=00
exit 0

Matthew Godby (matthew-godby) wrote :

I also have this problem. I am running (or trying to, anyway) Ubuntu 11.04 Beta 1 on a HP Tm2t-1100 CTO. Upgraded to the beta because I was having a problem with xorg randomly using 24-25% of my processor at any given time for no apparent reason... Now I'm lucky if I can log into my computer.. joke is on me, I guess..

Raphaël Hertzog (hertzog) wrote :

This report has nothing to do with dpkg. Reassigning to the kernel.

affects: dpkg (Ubuntu) → linux (Ubuntu)
Alejandro Zunino (azunino) wrote :

I have ACER ASPIRE 4736Z and Ubuntu Natty boots to a blank screen. I did not have problems with Ubuntu Maverick. I have tried many kernel parameters, but the only that worked was nomodeset, but with the wrong resolution (800x600) and no acceleration. Please help me! I can not use my computer!

Shaman (shaman-fr2002) wrote :

Same problem with an ACER ASPIRE 5732Z.
Black screen. (when i plug a screen in 4:3 it works ).

No problem with the previous version.

Ghozy Arif Fajri (gojigeje) wrote :

I have same problem..
Mine is Acer Aspire 4736 with Intel GMA 4500M, and I did fresh install.
But I think my screen it's not completely blank.
It still display my screen, but with no backlight, I still can read my screen under a flashlight.
It seems like my screen's backlight is not turned on or something.

clay (gavin-clayshot) wrote :

Ditto - with Acer Aspire 5332 with Intel GMA 4500M graphics.
10.10 good, 11.04 upgrade bad. Backlight is turned off.
Grub --> boot into older kernel, works.

cryd_be (kridybel) wrote :

Blacklight is turned off using Ubuntu and Xubuntu 11.04 LiveCd's on Acer 7715z with Intel GMA4500 chip. As a result I cannot test these distro's on my laptop. I will not upgrade. I am still stuck on 10.04 LTS.

Ghozy Arif Fajri (gojigeje) wrote :

I run this command under no-backlight condition on terminal (I still can read my screen under flashlight):
sudo setpci -s 00:02.0 F4.B=00
and my back light is back!
but back light is off again after reboot, need to run that command again :(

All I did was add the setpci command into sudoers file (sudo visudo) so i don't need to type password when running setpci,
and make a new executable file contains that command, then make new startup entry to run that executable file every startup.

Now i have my back light function normally every startup..
Try this guys, who knows it can help you.

The following command has solved my problem. To make it run after reboot
just insert the command in /etc/rc.local (by default this file is empty and
is equivalent to windows' autoexec.bat). My rc.local looks like this:

#!/bin/sh -e
#
# rc.local
#
# This script is executed at the end of each multiuser runlevel.
# Make sure that the script will "exit 0" on success or any other
# value on error.
#
# In order to enable or disable this script just change the execution
# bits.
#
# By default this script does nothing.

sudo setpci -s 00:02.0 F4.B=00
exit 0

Hope this will solve problem.

On Sun, May 15, 2011 at 10:23 PM, Ghozy Arif Fajri <
<email address hidden>> wrote:

> *** This bug is a duplicate of bug 779166 ***
> https://bugs.launchpad.net/bugs/779166
>
> I run this command under no-backlight condition on terminal (I still can
> read my screen under flashlight):
> sudo setpci -s 00:02.0 F4.B=00
> and my back light is back!
> but back light is off again after reboot, need to run that command again :(
>
> All I did was add the setpci command into sudoers file (sudo visudo) so i
> don't need to type password when running setpci,
> and make a new executable file contains that command, then make new startup
> entry to run that executable file every startup.
>
> Now i have my back light function normally every startup..
> Try this guys, who knows it can help you.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/752165
>
> Title:
> Blank Screen in Natty
>
> Status in “linux” package in Ubuntu:
> New
>
> Bug description:
> Binary package hint: dpkg
>
> I have ACER ASPIRE 4736Z with intel GMA 4500M.
>
> Initially I had installed Ubuntu Maverick (10.10). I upgraded to Natty
> (11.04). Kernel has been updated to 2.6.38.6 which is working for me
> perfect with minor bugs. Afterwards I have tried to update upto Kernel
> version 2.6.38.8 but i get a blank screen when system boots. Solution
> which is still working for me is to restart with kernel 2.6.38.6.
>
> In my opinion problem is in video card driver. I need Help.
>
> Thanks,
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/752165/+subscribe
>

Criz griffin (griffn9) wrote :

i have installed ubuntu 11.04 through flash disk, just press enter before it come to desktop then when selection show up press f6 checklist the acpi off, then install ubuntu normally. Wait until installation finished, reboot your computer, you'll get desktop with no backlight (use your feel to log on to desktop), press ctrl + alt + t to open the terminal, type sudo setpci -s 00:02.0 F4.B=00 (there is still no backlight) and press enter, the desktop will appear and edit the rc.local.

Ghozy Arif Fajri and Angel Zone, it's work perfectly. thanks you very much...
sorry if my english bad.

Ghozy Arif Fajri (gojigeje) wrote :

bumped.. :(
whenever i change my screen resolution, my screen got blank again..
it nearly almost one month for me, still no solution. :(

Angel Zone (taosifiq) wrote :

Reinstall Maverick

Braxton Leo (rycherr) wrote :

This needs to be upgraded to URGENT. This is a MAJOR bug that is a show-stopper for anyone with an Acer Aspire 5734Z.

v.miheer (v-miheer) wrote :

Ghozy Arif Fajri thank you it even runs for oneiric...

Changed in linux (Ubuntu):
status: New → Confirmed
DM (angel-of-chaos-01) wrote :

considering 10.04 and 10.10 run just fine with gma 4500 m, I'd think that when moving to 11.04 and beyond that such support would've been included since it was already good in the previous versions. This does need to be upgraded tp Urgent and Important, and a fix needs to be underway for those out there that don't know how and/or are new to Ubuntu and this happens to them, as they won't know what to do and perhaps stay away from Linux all together. I've noticed a similar problem on other 11.04 releases related to Ubuntu, such as Xubuntu and Linux Mint 11.

iheartubuntu (iheartubuntu) wrote :

Sadly, this still affects users in Ubuntu 11.10 as well.

Xerophie (xerophie) wrote :

Thanks to all

the trick : "sudo setpci -s 00:02.0 F4.B=00"

solve this problem on my Oneiric with Intel GMA 4500M graphic.

Mahesh Vhatkar (maheshvhatkar) wrote :

Thanks it helps me to get rid of black screen in Kubuntu 11.10

tags: added: natty needs-kernel-logs needs-upstream-testing regression-release
description: updated

Angel Zone, thank you for reporting this and helping make Ubuntu better. Natty reached EOL on October 28, 2012.
Please see this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

We were wondering if this is still an issue in a supported release? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the mainline kernels archive directory daily folder. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.10-rc5

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Helpful bug reporting tips:
https://help.ubuntu.com/community/ReportingBugs

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers